# $Revision: 1.41 $, $Date: 2007/09/05 14:53:49 $
Summary:	mktemp - a program for safely making tmp files
Summary(de.UTF-8):	mktemp - ein Programm zur Erstellung von sicheren tmp-Dateien
Summary(es.UTF-8):	Programa de seguridad hecho para archivos tmp
Summary(fr.UTF-8):	mktemp - un program pour créer des fichiers temporaires en toute sécurité
Summary(pl.UTF-8):	mktemp - program do bezpiecznego tworzenia plików tymczasowych
Summary(pt_BR.UTF-8):	Programa de segurança feito para arquivos tmp
Summary(tr.UTF-8):	Güvenli bir şekilde geçici dosya oluşturma programı
Name:		mktemp
Version:	1.5
Release:	20
License:	BSD
Group:		Applications/System
Source0:	ftp://ftp.mktemp.org/pub/mktemp/%{name}-%{version}.tar.gz
# Source0-md5:	9a35c59502a228c6ce2be025fc6e3ff2
Source1:	%{name}.1.pl
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.mktemp.org/
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix /

%description
mktemp is a small utility that interfaces to the mktemp() function
call to allow shell scripts and other programs to use files in /tmp
safely.

%description -l de.UTF-8
mktemp ist ein kleines Utility, das eine Schnittstelle zum mktemp()-
Funktionsaufruf bereitstellt, damit Shell-Skripts und andere Programme
Dateien in /tmp ohne Risiko benutzen können.

%description -l es.UTF-8
mktemp es un pequeño utilitario que hace de interface para la función
del sistema mktemp() para permitir que scripts shell y otros programas
usen archivos en /tmp con seguridad.

%description -l fr.UTF-8
mktemp est un petit utilitaire qui s'interface a l'appel de la
fonction mktemp() pour permettre aux scripts shell et aux autres
programmes d'utiliser sans danger les fichiers de /tmp.

%description -l pl.UTF-8
mktemp jest programem pozwalającym skryptom shella i innym programom
na bezpieczne używanie plików w katalogu /tmp.

%description -l pt_BR.UTF-8
O mktemp é um pequeno utilitário que faz interface para a função do
sistema mktemp() para permitir que scripts shell e outros programas
usem arquivos no /tmp com segurança.

%description -l tr.UTF-8
mktemp, kabuk yorumlayıcıları ve diğer programlarca /tmp dizininde
güvenli bir şekilde dosya oluşturmada kullanılan mktemp() fonksiyonuna
arayüz sağlayan ufak bir programdır.

%prep
%setup  -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--with-libc
%{__make} CFLAGS="-Wall %{rpmcflags}" CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/bin,%{_mandir}/{man1,pl/man1}}
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/mktemp.1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README LICENSE INSTALL RELEASE_NOTES
%attr(755,root,root) /bin/mktemp
%{_mandir}/man1/mktemp.1*
%lang(pl) %{_mandir}/pl/man1/mktemp.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mktemp.spec,v $
Revision 1.41  2007/09/05 14:53:49  baggins
- rel 20

Revision 1.40  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.38  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.37  2005/10/14 17:50:10  glen
- rel 19 for amd64

Revision 1.36  2005/10/14 17:40:06  glen
- fix amd64 build; adapterized

Revision 1.35  2005/10/14 17:15:21  glen
- updated to sources from mktemp.org (yes, the version number is same); rel 18

Revision 1.34  2005/04/07 19:58:18  paszczus
- updated URL

Revision 1.33  2005/03/21 22:08:37  mmazur
- rel 17 for th

Revision 1.32  2004/10/12 21:45:03  mmazur
- rel 16 for th

Revision 1.31  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.30  2004/01/23 09:22:43  jajcus
- Release: 15 (to _tag_ and rebuild on all builders)

Revision 1.29  2003/08/30 15:46:52  mmazur
- rel 14 for ac

Revision 1.28  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.27  2003/05/25 05:50:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2002/02/23 03:54:20  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/28 07:19:45  kloczek
- release 13,
- merged glibc21_compat patch from rawhide,
- merged translations from Conectiva,
- more macros and adapterized spec file.

Revision 1.23  2002/01/18 02:13:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/11/17 20:33:40  qboosh
- adapterized, typo

Revision 1.21  2001/11/17 08:42:11  ankry
- added pl/man1/mktemp.1
- release 9

Revision 1.20  2001/04/30 16:05:21  kloczek
- added using %%{rpmcflags} macro.

Revision 1.19  2001/01/25 20:03:25  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.18  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.17  2000/11/16 13:13:25  wiget
resurect -d option (glibc now providec mkdtemp function)

Revision 1.16  2000/10/20 04:22:21  kloczek
- release 7: use new rpm automation.

Revision 1.15  2000/09/06 21:18:44  kloczek
- release 6,
- spec adapterized.

Revision 1.14  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.11  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Apr 22 1999 Artur Frysiak <wiget@pld.org.pl>
  [1.5-2]
- added Group(pl)
- removed man group from man pages
- compiled on rpm 3

* Thu Oct 15 1998 Wojtek Ślusarczyk <wojtek@shadow.eu.org>
  [1.5-1]
- major changes follow the Linux PLD policy,
- added pl translation.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 01 1997 Erik Troan <ewt@redhat.com>
- moved to /bin
